package cn.tee3.avd;

import java.util.List;

/**
 * Created by bob.liu on 2015/11/6.
 */
public class VideoDeviceOptions extends VideoOptions {

    protected VideoDeviceOptions(int quaset) {
        super(quaset);
    }

    /** 判断设备是否支持指定视频分辨率
     * @param[in] cap 指定分辨率。
     * @return 返回是否支持。
     */
    public boolean hasCapability(MVideo.CameraCapability cap) {
        return nativedevhasCapability(optionset, cap);
    }
    /** 获取设备支持的分辨率集合
     * @return 返回分辨率集合。
     */
    public List<MVideo.CameraCapability> getCapabilities() {
        return nativedevgetCapabilities(optionset);
    }
}
